> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulse-send.jiordiviera.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a file

> Returns one file with a `download_url` valid for a few minutes.



## OpenAPI

````yaml /openapi.json get /files/{file}
openapi: 3.1.2
info:
  title: PulseSend API
  version: 1.0.0
  description: >-
    Send transactional email over HTTP. Authenticate with a `ps_live_` or
    `ps_test_` key.
servers:
  - url: https://pulse-send.jiordiviera.me/api/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Emails
  - name: Files
  - name: Templates
paths:
  /files/{file}:
    get:
      tags:
        - Files
      summary: Retrieve a file
      description: Returns one file with a `download_url` valid for a few minutes.
      operationId: v1.files.show
      parameters:
        - name: file
          in: path
          required: true
          description: The file ID, prefixed `file_`.
          schema:
            type: string
          example: file_01jbz8m3k2q7x9c4v5n6p8r0st
      responses:
        '200':
          description: '`FileResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileResource'
        '404':
          $ref: d375a52a-0a56-4957-b2e2-822f0d79d276
components:
  schemas:
    FileResource:
      type: object
      properties:
        object:
          type: string
          const: file
        id:
          type: string
        filename:
          type: string
        content_type:
          type: string
        size:
          type: integer
        sha256:
          type: string
        download_url:
          type: string
          description: >-
            Valable quelques minutes : à utiliser tout de suite, pas à
            enregistrer.
        created_at:
          type: string
      required:
        - object
        - id
        - filename
        - content_type
        - size
        - sha256
        - download_url
        - created_at
      title: FileResource
  securitySchemes:
    apiKey:
      type: http
      description: Your API key, `ps_live_…` or `ps_test_…`.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.